Subject: Re: linux-next: manual merge of the devicetree tree with the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 9 Jul 2019 10:15:07 +1000

Hi all,

On Fri, 28 Jun 2019 14:56:26 +1000 Stephen Rothwell <[email-masked]> wrote:
> 
> Today's linux-next merge of the devicetree tree got a conflict in:
> 
>   Documentation/devicetree/bindings/net/ethernet.txt
> 
> between commit:
> 
>   79b647a0c0d5 ("dt-bindings: net: document new usxgmii phy mode")
> 
> from the net-next tree and commit:
> 
>   4e7a33bff7d7 ("dt-bindings: net: Add YAML schemas for the generic Ethernet options")
> 
> from the devicetree tree.
> 
> I fixed it up (the latter seems to include the change made by the former,
> so I just used the latter) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

I am still getting this conflict (the commit ids may have changed).
Just a reminder in case you think Linus may need to know.

-- 
Cheers,
Stephen Rothwell